/*
 *  Copyright (C) 2007  Thadeu Lima de Souza Cascardo <cascardo@minaslivre.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */

#include <depot.h>
#include <villa.h>
#include <cabin.h>
#include <glib.h>
#include <stdio.h>
#include <stdlib.h>

int main (int argc, char **argv)
{
  DEPOT *db;
  VILLA *vl;
  char *key;
  db = dpopen ("palestras", DP_OREADER, 0);
  vl = vlopen ("palestras.vl", VL_OWRITER | VL_OCREAT, VL_CMPINT);
  dpiterinit (db);
  for (key = dpiternext (db, NULL); key != NULL; key = dpiternext (db, NULL))
    {
      char *val;
      int vlen;
      val = dpget (db, key, sizeof (int), 0, -1, &vlen);
      vlput (vl, key, sizeof (int), val, vlen, VL_DOVER);
      free (val);
      free (key);
    }
  dpclose (db);
  vlclose (vl);
  return 0;
}
